## ros-indigo-nao-path-follower 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_path_follower)

# Declare main C++ dependencies
set(ROS_CXX_DEPENDENCIES
  naoqi_bridge_msgs
  roscpp
  tf
  std_msgs
  std_srvs
  geometry_msgs
  nav_msgs
  move_base_msgs
  actionlib
  angles
)

# Find catkin and all the required components
find_package(catkin REQUIRED COMPONENTS
  ${ROS_CXX_DEPENDENCIES}
)

# Find Boost
find_package(Boost REQUIRED COMPONENTS signals)

# Set include and linking directories
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

catkin_package(
  CATKIN_DEPENDS ${ROS_CXX_DEPENDENCIES}
)

# Create target: nao_path_follower
add_executable(nao_path_follower src/nao_path_follower.cpp)
target_link_libraries(nao_path_follower ${catkin_LIBRARIES})
add_dependencies(nao_path_follower ${catkin_EXPORTED_TARGETS})

# Installation rules for C++ targets
install(TARGETS
  nao_path_follower
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-nao-path-follower (0.3.1-1trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 10 Aug 2015 22:00:00 -0000

ros-indigo-nao-path-follower (0.3.0-1trusty) trusty; urgency=high

  * get code to use naoqi_bridge_msgs and not naoqi_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 22:00:00 -0000

ros-indigo-nao-path-follower (0.2.2-1trusty) trusty; urgency=high

  * comply to the new naoqi organization
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Nov 2014 23:00:00 -0000

ros-indigo-nao-path-follower (0.2.1-1trusty) trusty; urgency=high

  * Fixing oscillations in path follower when next target is behind robot
  * Add missing parameter for damping yaw velocity
  * Small cleanup of nao_path_follower, fix potential problems with std::distance
    and angular distance (+-)
  * Merge pull request #3 <https://github.com/ros-nao/nao_extras/issues/3> from sboettcher/groovy-devel
    path_follower now recognizes a straight line in a path and offsets the walk target further ahead
  * Removing unneeded workaround for NaoQI API < 1.12
  * Cleaning up unused code
  * Cleaning up nao_path_follower, more parameters
  * Fixing nao_path_follower for paths with a single pose
  * Small fix in nao_path_follower package.xml
  * Cleaning up nao_path_follower output
  * Fix package.xml files
  * Catkinization of nao_extras, based on commit cb7aedce3c7a3ea3391319f0b7e9aeb78ed13233
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sat, 06 Sep 2014 22:00:00 -0000

ros-indigo-nao-path-follower (0.2.0-1trusty) trusty; urgency=high

  * nao_remote renamed to nao_path_follower, now only contains the path
    follower node
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Fri, 25 Oct 2013 22:00:00 -0000

ros-indigo-nao-path-follower (0.1.0-1trusty) trusty; urgency=high



 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 29 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-path-follower
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-naoqi-bridge-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://ros.org/wiki/nao_path_follower
Standards-Version: 3.9.2

Package: ros-indigo-nao-path-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-naoqi-bridge-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: Enables a Nao humanoid to either walk to a target location (with localization feedback), or follow a planned 2D path closely. Sends naoqi_msgs to the nao_walker node in nao_apps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-path-follower//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
